# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class OpenSearchDescriptionDocument.SyndicationRight

    java.lang.Object
      com.google.gdata.data.OpenSearchDescriptionDocument.SyndicationRight

Enclosing class:
  OpenSearchDescriptionDocument

    public static class OpenSearchDescriptionDocument.SyndicationRight

extends java.lang.Object

The SyndicationRight class defines constant values for syndication rights types.

Field Summary
`static int` `CLOSED` Search feed should not be queried.
`static int` `LIMITED` Search results can be published on the client site, but not further republished.
`static int` `OPEN` Search results can be published or re-published without restriction.
`static int` `PRIVATE` Search feed may be queried, but the results may not be displayed at the client site.

Constructor Summary
`OpenSearchDescriptionDocument.SyndicationRight()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN

    public static final int OPEN

  Search results can be published or re-published without restriction.

  See Also:
    Constant Field Values

### LIMITED

    public static final int LIMITED

  Search results can be published on the client site, but not further republished.

  See Also:
    Constant Field Values

### PRIVATE

    public static final int PRIVATE

  Search feed may be queried, but the results may not be displayed at the client site.

  See Also:
    Constant Field Values

### CLOSED

    public static final int CLOSED

  Search feed should not be queried.

  See Also:
    Constant Field Values

Constructor Detail

### OpenSearchDescriptionDocument.SyndicationRight

    public OpenSearchDescriptionDocument.SyndicationRight()